diff -Naur libreoffice-7.6.4.1/external/libcmis.old/libxml2.12.patch.1 libreoffice-7.6.4.1/external/libcmis/libxml2.12.patch.1
--- libreoffice-7.6.4.1/external/libcmis.old/libxml2.12.patch.1	1969-12-31 19:00:00.000000000 -0500
+++ libreoffice-7.6.4.1/external/libcmis/libxml2.12.patch.1	2023-12-08 01:05:47.749409990 -0500
@@ -0,0 +1,23 @@
+From 72618e63433c7243e4d9e79a638f19a09402eecc Mon Sep 17 00:00:00 2001
+From: Andreas Sturmlechner <asturm@gentoo.org>
+Date: Tue, 21 Nov 2023 23:10:07 +0100
+Subject: [PATCH] Fix build with libxml2-2.12 (missing include)
+
+See also: https://github.com/tdf/libcmis/issues/51
+Signed-off-by: Andreas Sturmlechner <asturm@gentoo.org>
+---
+ inc/libcmis/xml-utils.hxx | 1 +
+ 1 file changed, 1 insertion(+)
+
+diff --git a/inc/libcmis/xml-utils.hxx b/inc/libcmis/xml-utils.hxx
+index 929385e1..9bd99aed 100644
+--- a/inc/libcmis/xml-utils.hxx
++++ b/inc/libcmis/xml-utils.hxx
+@@ -34,6 +34,7 @@
+ #include <string>
+ 
+ #include <boost/date_time.hpp>
++#include <libxml/parser.h>
+ #include <libxml/tree.h>
+ #include <libxml/xpathInternals.h>
+ #include <libxml/xmlwriter.h>
--- libreoffice-24.8.0.1/external/libcmis/UnpackedTarball_libcmis.mk.old	2024-07-15 00:44:18.353935622 -0400
+++ libreoffice-24.8.0.1/external/libcmis/UnpackedTarball_libcmis.mk	2024-07-15 00:45:14.277575463 -0400
@@ -19,7 +19,6 @@
 # 0001-cid-1545775-COPY_INSTEAD_OF_MOVE.patch is upstreamed
 
 $(eval $(call gb_UnpackedTarball_add_patches,libcmis,\
-	external/libcmis/0001-cid-1545775-COPY_INSTEAD_OF_MOVE.patch \
 	external/libcmis/0001-Fix-warning-C4589-when-building-with-MSVC.patch \
 	external/libcmis/http-session-cleanup.patch.1 \
 	external/libcmis/factory-no-retry-ssl.patch.1 \
@@ -28,6 +27,7 @@
 	external/libcmis/0001-cppcheck-operatorEqVarError-in-src-libcmis-http-sess.patch \
 	external/libcmis/0001-Take-into-account-m_CurlInitProtocolsFunction-in-cop.patch \
 	external/libcmis/initprotocols.patch.1 \
+        $(foreach patch,$(libcmis_patches),external/libcmis/$(patch)) \
 ))
 
 # vim: set noet sw=4 ts=4:
